Subject: bug#12760: letf doc is not very helpful

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Oct 2012 08:31:40 -0400

>>> -> Like `cl-letf', but with some extra backward compatibility.
>>> This is so vague as to not be useful.
>> The only difference (handling of funbound symbols for symbol-function)
>> is one I'd rather not document because it's deprecated.
> PS I honestly can't see why "A is different to B in some unspecified way
> that I'm not going to tell you lest you try and use it" is preferable to
> "A is essentially exactly the same as B, apart from cases C and D. Such
> usage is deprecated."

You might be right.  Here is the exact situation:
- The extra handling of `symbol-function' in `letf' was added because
  some existing uses of `flet' (which uses `letf' internally) need it.
- I don't know of any code that uses `letf' in a way that `cl-letf'
  can't handle.

So maybe a better solution is to rename the current `letf' into
cl--flet-letf, and then to make `letf' an alias to `cl-letf'.

        Stefan